#!/usr/bin/env python3

import io_helper
import sys

# Check whether an input file was specified.
if len(sys.argv) < 2:
    print("No input file specified. Usage: " + sys.argv[0] + " /path/to/input.txt")
    sys.exit()

# Reading the points from the file.
file_name = sys.argv[1]
points = io_helper.IOHelper.read_points_from_file(file_name)

# We interpret the first half of the points as a polygon and the second half as
# single points.
polygon = []
single_points = []

for index in range(0, len(points)):
    if index < len(points) / 2:
        polygon.append(points[index])
    else:
        single_points.append(points[index])

# Additionally we add a line between the last two single points.
line = [single_points[-1], single_points[-2]]

# Print the SVG Representation of the polygon and the points.
svg_representation = io_helper.IOHelper.svg_representation(single_points, [polygon, line])
print(svg_representation)
